Bug 1039875 - [DEV] Add missing constructors in AbstractBoottimeAddStepHandler
Summary: [DEV] Add missing constructors in AbstractBoottimeAddStepHandler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.2.1
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On: 1039864
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2013-12-10 08:51 UTC by Emmanuel Hugonnet (ehsavoie)
Modified: 2014-02-24 20:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
New constructs were added upstream to the super class for org.jboss.as.controller.AbstractBoottimeAddStepHandler, however they were not added to the handler itself, meaning the class had differing constructs. These constructs have now been added as required.
Clone Of: 1039864
Environment:
Last Closed: 2014-02-24 20:16:01 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Emmanuel Hugonnet (ehsavoie) 2013-12-10 08:51:00 UTC
+++ This bug was initially created as a clone of Bug #1039864 +++

org.jboss.as.controller.AbstractBoottimeAddStepHandler hasn't the same constructors as its super class.
These have been created in Wildfly (commit c75e36a9) but they are missing from EAP.

public AbstractBoottimeAddStepHandler() {
}

public AbstractBoottimeAddStepHandler(Collection<AttributeDefinition> attributes) {
    super(attributes);
}

public AbstractBoottimeAddStepHandler(AttributeDefinition... attributes) {
    super(attributes);
}


They are required for the EAP 5 retro-compatibility extension.

Comment 1 Emmanuel Hugonnet (ehsavoie) 2013-12-10 08:55:23 UTC
This is a clone of Bug #1039864 for 6.2.1

Comment 6 Scott Mumford 2014-01-21 03:34:27 UTC
Marking for inclusion in 6.2.1 release notes as this bug is listed in the master tracking BZ 1027004.

Comment 7 Scott Mumford 2014-01-22 01:02:02 UTC
Added draft release note based on the limited information in this ticket.

Comment 8 Brian Stansberry 2014-01-22 02:09:31 UTC
I don't believe this should be included in the release notes. It was a change to an internal class made to allow other work to proceed.

If you want to include it, the proposed text is fine.

Comment 9 Scott Mumford 2014-01-22 04:29:40 UTC
Thanks for the update Brian.

I'll take it out of the Release Notes.

Comment 11 Nikoleta Hlavickova 2014-01-23 13:33:01 UTC
Verified with 6.2.1.CP.CR1-patch.


Note You need to log in before you can comment on or make changes to this bug.